Loading...
Searching...
No Matches
Dune::TypeTree::PowerNode< T, k >::Child< i > Struct Template Reference

Access to the type and storage type of the i-th child. More...

`#include <dune/typetree/powernode.hh>`

## Public Types

typedef T | Type
| The type of the child.
typedef T | type
| The type of the child.

## Detailed Description

template<typename T, std::size_t k>
template<std::size_t i>
struct Dune::TypeTree::PowerNode< T, k >::Child< i >

Access to the type and storage type of the i-th child.

## Member Typedef Documentation

## Type

template<typename T, std::size_t k>
template<std::size_t i>

typedef T Dune::TypeTree::PowerNode< T, k >::Child< i >::Type

The type of the child.

## type

template<typename T, std::size_t k>
template<std::size_t i>

typedef T Dune::TypeTree::PowerNode< T, k >::Child< i >::type

The type of the child.

The documentation for this struct was generated from the following file:

- powernode.hh